Class | Sequel::JDBC::Postgres::Dataset
In: | lib/sequel/adapters/jdbc/postgresql.rb
Parent: | JDBC::Dataset

Dataset subclass used for datasets that connect to PostgreSQL via JDBC.

### Methods

literal_string_append prepare

### Included Modules

Sequel::Postgres::DatasetMethods

### Constants

APOS | = | Dataset::APOS

### Public Instance methods

literal_string_append(sql, v)

Literalize strings similar to the native postgres adapter

[Source]

        # File lib/sequel/adapters/jdbc/postgresql.rb, line 86
    86:         def literal_string_append(sql, v)
    87:           sql << APOS << db.synchronize{|c| c.escape_string(v)} << APOS
    88:         end

prepare(*args)

Add the shared PostgreSQL prepared statement methods

[Source]

        # File lib/sequel/adapters/jdbc/postgresql.rb, line 79
    79:         def prepare(*args)
    80:           ps = super
    81:           ps.extend(::Sequel::Postgres::DatasetMethods::PreparedStatementMethods)
    82:           ps
    83:         end

[Validate]